#!/usr/bin/perl

use strict;
use DataCash::XMLDocument;

my $request=new DataCash::XMLDocument;

$request->carddetails(pan=>"4444333322221111",
		      expirydate=>"01/03");

my $xml=$request->writexml("Request");

print $xml;

my $cardno = $request->get("Transaction.CardTxn.Card.pan");

print "1..2\n";

if (defined $cardno) {
  print "ok 1\n";
}
else {
  print "not ok 1\n";
}

if ($cardno eq "4444333322221111") {
  print "ok 2\n";
}
else {
  print "not ok 2\n";
}
