#!/usr/bin/perl

use strict;
use DataCash::XMLDocument;

my $request=new DataCash::XMLDocument;

$request->chequedetails(chequenumber=>'123456',
			sortcode=>'800808',
			accountnumber=>'987654321',
			type => "personal");

my $chqdetails = $request->get("Transaction.ChequeTxn");
my $sortcode = $request->get("Transaction.ChequeTxn.Cheque.sortcode");
my $xml=$request->writexml("Request");

print $xml;

print "1..2\n";
if (defined $chqdetails) {
  print "ok 1\n";
}
else {
  print "not ok 1\n";
}

if ($sortcode eq "800808") {
  print "ok 2\n";
}
else {
  print "not ok 2\n";
}
