#!/usr/bin/perl

use strict;
use DataCash::XMLDocument;

my $request=new DataCash::XMLDocument;

$request->chequedetails(chequenumber=>'123456',
			sortcode=>'800808',
			accountnumber=>'987654321',
			type => "personal");
$request->amount(amount=>"5.99",currency=>"USD");

my $chqdetails = $request->get("Transaction.ChequeTxn");
my ($value, $attr) = $request->get("Transaction.TxnDetails.amount");
my $xml=$request->writexml("Request");

print $xml;

print "1..3\n";
if (defined $chqdetails) {
  print "ok 1\n";
}
else {
  print "not ok 1\n";
}

if ($value eq "5.99") {
  print "ok 2\n";
}
else {
  print "not ok 2\n";
}

if ($attr->{currency} eq "USD") {
  print "ok 3\n";
}
else {
  print "not ok 3\n";
}
