#!/usr/bin/perl

use strict;
use DataCash::XMLDocument;

my $request=new DataCash::XMLDocument;

$request->authentication(client=>'21859999',
			 password=>'password');

$request->chequedetails(chequenumber=>'123456',
			sortcode=>'800808',
			accountnumber=>'987654321',
			type=>'business');

$request->amount(amount=>"5.99",currency=>"USD");

my $chqdetails = $request->get("Transaction.ChequeTxn");
my ($value, $type) = $request->get("Transaction.ChequeTxn.Cheque");

my $xml = $request->writexml("Request");

print $xml;

print "1..2\n";
if (defined $chqdetails) {
  print "ok 1\n";
}
else {
  print "not ok 1\n";
}

if ($type->{type} eq "business") {
  print "ok 2\n";
}
else {
  print "not ok 2\n";
}
