#!/usr/bin/perl

use ExtUtils::MakeMaker;

use strict;

my $reqs={
	  'XML::Hash' => 0.45,
	  'LWP' => 0
	 };

my $extras={
	    'DataCash::CardInfo' => 0,
	    'DataCash::Extras' => 0
	   };

WriteMakefile (
	       NAME => "DataCash::XMLPerlAPI",
	       ($[ >= 5.005) ?
	       (AUTHOR   => 'Kas Robson (kxr@datacash.com), DataCash Ltd.',
		ABSTRACT => 'An object-oriented module allowing a user to create an ' .
		'XML-document for communicating with the DataCash payment gateway.') : (),
	       'VERSION_FROM' => 'lib/DataCash/XMLDocument.pm',
	       PREREQ_PM => $reqs
	      );

print "\n";
