#!/usr/bin/perl

use strict;
use DataCash::XMLDocument;

my $request=new DataCash::XMLDocument;

$request->carddetails(pan=>"4444333322221111",expirydate=>"01/03");
$request->amount(amount=>'5.99',currency=>'USD');
$request->method('auth');
$request->reference(time());
$request->authentication(client=>'21859999',password=>'password');

my $xml=$request->writexml("Request");
my $method = $request->get("Transaction.CardTxn.method");

print $xml;

print "1..2\n";
if (defined $xml) {
  print "ok 1\n";
}
else {
  print "not ok 1\n";
}

if ($method eq "auth") {
  print "ok 2\n";
}
else {
  print "not ok 2\n";
}
